Skip to main content
GET
/
api
/
audittrail
/
v1
/
auditevents
cURL
curl --request GET \
  --url https://api.example.com/api/audittrail/v1/auditevents \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "events": [
    {
      "action": {
        "eventName": "<string>",
        "using": [
          {
            "entityType": "<string>",
            "tags": [
              "<string>"
            ],
            "id": "<string>",
            "name": "<string>"
          }
        ],
        "traceId": "<string>"
      },
      "actor": {
        "id": "<string>",
        "idpId": "<string>",
        "name": "<string>"
      },
      "affecting": [
        {
          "entityType": "<string>",
          "tags": [
            "<string>"
          ],
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "metadata": {},
      "targets": [
        {
          "entity": {
            "entityType": "<string>",
            "tags": [
              "<string>"
            ],
            "id": "<string>",
            "name": "<string>"
          },
          "fieldChanges": [
            {
              "fieldName": "<string>",
              "after": "<string>",
              "before": "<string>",
              "unit": "<string>"
            }
          ]
        }
      ],
      "timestamp": 123,
      "from": {
        "entityType": "<string>",
        "tags": [
          "<string>"
        ],
        "id": "<string>",
        "name": "<string>"
      },
      "in": {
        "entityType": "<string>",
        "tags": [
          "<string>"
        ],
        "id": "<string>",
        "name": "<string>"
      },
      "to": {
        "entityType": "<string>",
        "tags": [
          "<string>"
        ],
        "id": "<string>",
        "name": "<string>"
      }
    }
  ],
  "total": 123
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

startTimestamp
integer

unix timestamp in milliseconds

endTimestamp
integer

unix timestamp in milliseconds

actorId
string
actorName
string
event
string
targetType
string

all events in which the target's type matches

targetId
string

all events in which the target's id matches

targetName
string

all events in which the target's name matches

withinProjectId
string

events that occurred within the context of a project with this id

withinProjectName
string

events that occurred within the context of a project with this name

sort
string

a comma separated list of fields, each prefixed with either a + or - to indicates asc or desc (no prefix defaults to asc). The list of supported sort fields are timestamp, actorId, actorName, withinProjectId, withinProjectName, event, targetType, and targetName

limit
integer

Max number to fetch. Defaults to 10.

offset
integer

How many from the start to skip. Defaults to 0.

column
enum<string>

the name of a column that should be included in the csv download. This parameter can be repeated to include multiple columns. The order in which the column names are provided dictates the order of the columns in the csv. This will cause a 400 if the Accept header is not csv or if the column name is unsupported

Available options:
date_time,
user_name,
first_name,
last_name,
event,
reason_for_change,
reason_for_change_additional_info,
electronically_signed,
target_name,
project_name,
dataset_name,
file_name,
target_user,
before_value,
after_value,
feature_flag,
jobs,
environment,
workspace

Response

Provides audit events matching the specified filters and within the specified offset and limit

events
object[]
required
total
integer